import { EventEmitter, OnInit, AfterViewInit, OnChanges, SimpleChanges } from '@angular/core';
import { GeneradorIdService } from '../../services/generador-id.service';
import { GraficoBarrasHorizontalConfig } from '../../models/GraficoBarrasHorizontalConfig.model';
export declare class GraficoBarrasHorizontalComponent implements OnInit, AfterViewInit, OnChanges {
    config: GraficoBarrasHorizontalConfig;
    datos: [];
    seleccion: EventEmitter<any>;
    private chart;
    idGrafico: string;
    private categoryAxis;
    private series;
    constructor(generadorIdService: GeneradorIdService);
    private actualizarData;
    private actualizarConfiguracion;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
